# LineView

Class in [Yarn.Unity](/2.5/api/csharp/yarn.unity.md)

Inherits from [`DialogueViewBase`](/2.5/api/csharp/yarn.unity/yarn.unity.dialogueviewbase.md)

## Summary

A Dialogue View that presents lines of dialogue, using Unity UI elements.

```csharp
public class LineView : DialogueViewBase
```

## Fields

| Name                                                                                                                             | Description                                                                                                                                                                     |
| -------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [autoAdvance](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.autoadvance.md)                                 | Controls whether this Line View will wait for user input before indicating that it has finished presenting a line.                                                              |
| [canvasGroup](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.canvasgroup.md)                                 | The canvas group that contains the UI elements used by this Line View.                                                                                                          |
| [characterNameContainer](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.characternamecontainer.md)           | The gameobject that holds the [characterNameText](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.characternametext.md) textfield.                           |
| [characterNameText](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.characternametext.md)                     | The `TMPro.TextMeshProUGUI` object that displays the character names found in dialogue lines.                                                                                   |
| [continueButton](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.continuebutton.md)                           | The game object that represents an on-screen button that the user can click to continue to the next piece of dialogue.                                                          |
| [fadeInTime](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.fadeintime.md)                                   | The time that the fade effect will take to fade lines in.                                                                                                                       |
| [fadeOutTime](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.fadeouttime.md)                                 | The time that the fade effect will take to fade lines out.                                                                                                                      |
| [holdTime](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.holdtime.md)                                       | The amount of time to wait after any line                                                                                                                                       |
| [lineText](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.linetext.md)                                       | The `TMPro.TextMeshProUGUI` object that displays the text of dialogue lines.                                                                                                    |
| [onCharacterTyped](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.oncharactertyped.md)                       | A Unity Event that is called each time a character is revealed during a typewriter effect.                                                                                      |
| [onPauseEnded](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.onpauseended.md)                               | A Unity Event that is called when a pause inside of the typewriter effect finishes and the typewriter has started once again.                                                   |
| [onPauseStarted](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.onpausestarted.md)                           | A Unity Event that is called when a pause inside of the typewriter effect occurs.                                                                                               |
| [palette](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.palette.md)                                         |                                                                                                                                                                                 |
| [showCharacterNameInLineView](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.showcharacternameinlineview.md) | Controls whether the [lineText](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.linetext.md) object will show the character name present in the line or not. |
| [typewriterEffectSpeed](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.typewritereffectspeed.md)             | The number of characters per second that should appear during a typewriter effect.                                                                                              |
| [useFadeEffect](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.usefadeeffect.md)                             | Controls whether the line view should fade in when lines appear, and fade out when lines disappear.                                                                             |
| [useTypewriterEffect](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.usetypewritereffect.md)                 | Controls whether the text of [lineText](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.linetext.md) should be gradually revealed over time.                 |

## Methods

| Name                                                                                                                                                          | Description                                                                                                                                                                                                              |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [AddLineBreaks(Markup.MarkupParseResult)](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.addlinebreaks.md)                                |                                                                                                                                                                                                                          |
| [DialogueComplete()](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.dialoguecomplete.md)                                                  | Called by the [DialogueRunner](/2.5/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) to signal that the dialogue has ended, and no more lines will be delivered.                                                      |
| [DismissLine(Action)](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.dismissline.md)                                                      | Called by the [DialogueRunner](/2.5/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) to signal that the view should dismiss its current line from display, and clean up.                                              |
| [GetPauseDurationsInsideLine(Markup.MarkupParseResult)](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.getpausedurationsinsideline.md)    | Creates a stack of typewriter pauses to use to temporarily halt the typewriter effect.                                                                                                                                   |
| [InterruptLine(LocalizedLine,Action)](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.interruptline.md)                                    | Called by the [DialogueRunner](/2.5/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) to signal that a line has been interrupted, and that the Dialogue View should finish presenting its line as quickly as possible. |
| [OnContinueClicked()](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.oncontinueclicked.md)                                                | Called when the [continueButton](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.continuebutton.md) is clicked.                                                                                       |
| [PaletteMarkedUpText(Markup.MarkupParseResult,MarkupPalette,bool)](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.palettemarkeduptext.md) | Applies the `palette` to the line based on it's markup.                                                                                                                                                                  |
| [RunLine(LocalizedLine,Action)](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.runline.md)                                                | Called by the [DialogueRunner](/2.5/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) to signal that a line should be displayed to the user.                                                                           |
| [UserRequestedViewAdvancement()](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.userrequestedviewadvancement.md)                          | Called by [DialogueAdvanceInput](/2.5/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput.md) to signal that the user has requested that the dialogue advance.                                                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.5/api/csharp/yarn.unity/yarn.unity.lineview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
